%define upstream_name       WWW-Mechanize-Cached
%define upstream_version 1.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Cache response to be polite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Devel::SimpleTrace)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::ConsoleLogger::Easy)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Storable) >= 2.210.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Uses the Cache::Cache hierarchy to implement a caching Mech. This
lets one perform repeated requests without hammering a server
impolitely.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc AUTHORS Changes INSTALL LICENSE META.json MYMETA.yml README examples
%{perl_vendorlib}/WWW/Mechanize/Cached.pm
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.500.0-4pclos2017
- rebuild against updates

